CK_HS_HASH(3)

NAME
CK_HS_HASH - invoke hash function with hash set seed

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
unsigned long
CK_HS_HASH(ck_hs_t *hs, ck_hs_hash_cb_t *hf, const void *key);

DESCRIPTION
The CK_HS_HASH(3) macro will invoke the hash function pointed to by the hf argument with the seed value associated with hs and the key pointer specified by the key argument.

RETURN VALUES
This function will return the value returned by the hf function.

ERRORS
It is expected hs was previously initialized via ck_hs_init(3).

SEE ALSO
ck_hs_init(3), ck_hs_destroy(3), ck_hs_iterator_init(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_set(3), ck_hs_remove(3), ck_hs_grow(3), ck_hs_count(3), ck_hs_reset(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/